package vip.xiaonuo.money.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 财务临近还款期预警
 * </p>
 *
 * @author author
 * @since 2024-11-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("money_borrow_warning")
public class MoneyBorrowWarning implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @ApiModelProperty(value = "组织id", position = 1)
    private String orgId;

    /**
     * 公司名称
     */
    @ApiModelProperty(value = "公司名称", position = 2)
    private String company;

    /**
     * 借款时间
     */
    @ApiModelProperty(value = "借款时间", position = 3)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date borrowTime;

    /**
     * 币种
     */
    @ApiModelProperty(value = "币种", position = 4)
    private String moneyType;

    /**
     * 借款金额
     */
    @ApiModelProperty(value = "借款金额", position = 5)
    private String borrowPrice;

    /**
     * 截至日期
     */
    @ApiModelProperty(value = "截至日期", position = 6)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;


    @ApiModelProperty(value = "银行名称", position = 7)
    private String bankName;


    @ApiModelProperty(value = "借款利率", position = 8)
    private String bankRank;

    @ApiModelProperty(value = "借款类型", position = 9)
    private String bankType;

    @ApiModelProperty(value = "还款时间", position = 10)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date repaymentTime;


    @ApiModelProperty(value = "是否还款", position = 11)
    private Integer isRepayment;

}
