package vip.xiaonuo.production.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 生成管控能耗分析
 * </p>
 *
 * @author author
 * @since 2024-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("production_energy")
public class ProductionEnergy implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用水
     */
    @ApiModelProperty(value = "用水",position = 1)
    private String water;

    /**
     * 用电
     */
    @ApiModelProperty(value = "用电",position = 2)
    private String electricity;

    /**
     * 用气
     */
    @ApiModelProperty(value = "用气",position =3 )
    private String gas;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",position =4 )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position =5 )
    private String orgId;

    /**
     * 车间名称
     */
    @ApiModelProperty(value = "车间名称",position =6 )
    private String locationName;


}
