/*
 * Copyright [2022] [https://www.baiduc.com]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.baiduc.com
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.baiduc.com
 */
package vip.xiaonuo.quality.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.quality.entity.QualityFenxibaogao;
import vip.xiaonuo.quality.param.*;
import vip.xiaonuo.quality.param.vo.ChengPinQuXianVo;

import java.util.List;

/**
 * 质量分析报表Service接口
 *
 * @author 1
 * @date  2025/02/26 16:25
 **/
public interface QualityFenxibaogaoService extends IService<QualityFenxibaogao> {

    /**
     * 获取质量分析报表分页
     *
     * @author 1
     * @date  2025/02/26 16:25
     */
    Page<QualityFenxibaogao> page(QualityFenxibaogaoPageParam qualityFenxibaogaoPageParam);

    /**
     * 添加质量分析报表
     *
     * @author 1
     * @date  2025/02/26 16:25
     */
    void add(QualityFenxibaogaoAddParam qualityFenxibaogaoAddParam);

    /**
     * 编辑质量分析报表
     *
     * @author 1
     * @date  2025/02/26 16:25
     */
    void edit(QualityFenxibaogao qualityFenxibaogao);

    /**
     * 删除质量分析报表
     *
     * @author 1
     * @date  2025/02/26 16:25
     */
    void delete(QualityFenxibaogaoIdParam qualityFenxibaogaoIdParamList);

    /**
     * 获取质量分析报表详情
     *
     * @author 1
     * @date  2025/02/26 16:25
     */


    /**
     * 获取质量分析报表详情
     *
     * @author 1
     * @date  2025/02/26 16:25
     **/
    QualityFenxibaogao queryEntity(String id);

    List<QualityFenxibaogao> getChengPin(ChengPingZhiParam chengPingZhiParam);

    List<ChengPinQuXianVo> getChengPinQuXian(ChengPingZhiParam chengPingZhiParam);

    List<QualityFenxibaogao> getJianCeXiangMu(ChengPingZhiParam chengPingZhiParam);
}
