package vip.xiaonuo.risk.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.risk.entity.RiskContract;
import vip.xiaonuo.risk.entity.RiskSupplier;
import vip.xiaonuo.risk.param.RiskContractParam;
import vip.xiaonuo.risk.param.RiskSupplierParam;
import vip.xiaonuo.risk.service.IRiskContractService;

import java.util.List;

/**
 * <p>
 * 风控款到发货逾期 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
@RestController
@Api(tags = "风控款到发货逾期")
@ApiSupport(author = "wang", order = 1)
@Validated
public class RiskContractController {

    @Autowired
    private IRiskContractService contractService;

    @ApiOperationSupport(order = 1)
    @ApiOperation("风控款到发货逾期列表")
    @PostMapping("/risk-contract/getList")
    public CommonResult<Page<RiskContract>> listPage(@RequestBody RiskContractParam contractParam) {
        return CommonResult.data(contractService.listPage(contractParam));
    }
}
