package vip.xiaonuo.risk.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.risk.entity.RiskContract;
import vip.xiaonuo.risk.entity.RiskContractWarning;
import vip.xiaonuo.risk.param.RiskContractParam;
import vip.xiaonuo.risk.param.RiskContractWarningParam;
import vip.xiaonuo.risk.service.IRiskContractWarningService;

/**
 * <p>
 * 风控管控合同逾期预警 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
@RestController
@Api(tags = "风控管控合同逾期预警")
@ApiSupport(author = "wang", order = 1)
@Validated
public class RiskContractWarningController {

    @Autowired
    private IRiskContractWarningService warningService;

    @ApiOperationSupport(order = 1)
    @ApiOperation("风控管控合同逾期预警列表")
    @PostMapping("/risk-contract-warning/getList")
    public CommonResult<Page<RiskContractWarning>> listPage(@RequestBody RiskContractWarningParam warningParam) {
        return CommonResult.data(warningService.listPage(warningParam));
    }
}
