package vip.xiaonuo.sale.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 销售发货
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sale_deliver")
public class SaleDeliver implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 销售发货订单号
     */
    @ApiModelProperty(value = "销售发货订单号",position =1 )
    private String saleOrder;

    /**
     * 销售发货金额
     */
    @ApiModelProperty(value = "销售发货金额",position =2)
    private String saleDeliverMoney;

    /**
     * 销售发货数量
     */
    @ApiModelProperty(value = "销售发货数量",position =3 )
    private String saleDeliverNumber;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",position = 4)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position = 5)
    private String orgId;


}
