package vip.xiaonuo.sale.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 销售逾期合同
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sale_overdue")
public class SaleOverdue implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 逾期订单号
     */
    @ApiModelProperty(value = "逾期订单号",position =1 )
    private String overdueOrder;

    /**
     * 交货日期
     */
    @ApiModelProperty(value = "交货日期",position = 2)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date deliveryDate;

    /**
     * 交货数量
     */
    @ApiModelProperty(value = "交货数量",position =3 )
    private String deliveryNumber;

    /**
     * 逾期金额
     */
    @ApiModelProperty(value = "逾期金额",position = 4)
    private String overdueMoney;

    /**
     * 逾期天数
     */
    @ApiModelProperty(value = "逾期天数",position =5 )
    private String overdueDay;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",position = 6)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position =7 )
    private String orgId;


}
