package vip.xiaonuo.write.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 出差日志
 * </p>
 *
 * @author author
 * @since 2024-12-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("write_travel_log")
public class WriteTravelLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 编号
     */
    @ApiModelProperty(value = "编号",position = 1)
    private String order;

    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称",position = 2)
    private String departmentName;

    /**
     * 出差人
     */
    @ApiModelProperty(value = "出差人",position = 3)
    private String userName;

    /**
     * 随行人员
     */
    @ApiModelProperty(value = "随行人员",position = 4)
    private String accountName;

    /**
     * 岗位、职务
     */
    @ApiModelProperty(value = "岗位、职务",position = 5)
    private String entourage;

    /**
     * 随行人员
     */
    @ApiModelProperty(value = "随行人员",position = 6)
    private String travelDate;

    /**
     * 报告日期
     */
    @ApiModelProperty(value = "报告日期", position = 7)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date reportDate;

    /**
     * 天数
     */
    @ApiModelProperty(value = "天数",position = 8)
    private String days;


    /**
     * 出差工作描述
     */
    @ApiModelProperty(value = "出差工作描述",position =10 )
    private String describe;

    /**
     * 出差总结
     */
    @ApiModelProperty(value = "出差总结",position = 11)
    private String summarize;

    /**
     * 信息备注
     */
    @ApiModelProperty(value = "信息备注",position =12 )
    private String remark;

    /**
     * 本月次数
     */
    @ApiModelProperty(value = "本月次数",position =13 )
    private String monthTimes;

    /**
     * 本年度次数
     */
    @ApiModelProperty(value = "本年度次数",position = 14)
    private String yearTimes;

    /**
     * 组织ID
     */
    @ApiModelProperty(value = "组织id",position = 15)
    private String orgId;


}
